- [HTTP request](https://docs.cloud.google.com/looker/docs/reference/rest/v1/projects.locations.operations/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/looker/docs/reference/rest/v1/projects.locations.operations/delete#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/looker/docs/reference/rest/v1/projects.locations.operations/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/looker/docs/reference/rest/v1/projects.locations.operations/delete#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/looker/docs/reference/rest/v1/projects.locations.operations/delete#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/looker/docs/reference/rest/v1/projects.locations.operations/delete#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/looker/docs/reference/rest/v1/projects.locations.operations/delete#try-it)

Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.

### HTTP request

Choose an endpoint:
global asia-south1 asia-south2 us-central1 us-east1 us-east4 us-east5 us-east7 us-south1 us-west1 us-west2 us-west3 us-west4   
`DELETE https://looker.googleapis.com/v1/{name=projects/*/locations/*/operations/*}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The name of the operation resource to be deleted. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `looker.operations.delete`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).